name: Build, push and deploy

on:
  push:
    branches:
      - main

jobs:
  builds:
    runs-on: slimbook-ubuntu-latest

    steps:
      - name: checkout code
        uses: actions/checkout@v2

      # - name: rclone to remote
      #   run: |
      #     ls -lha
      #     printf "%s" "${{ secrets.ID_ED25519 }}" > ./id_ed25519
      #     chmod 600 ./id_ed25519  # Set proper permissions
      #     eval "$(ssh-agent -s)"
      #     ssh-add ./id_ed25519
      #     apt-get update
      #     apt-get install -y rsync
      #     rsync -avz --delete --exclude=".env" --exclude="storage/logs/laravel.log" --exclude="laravel/node_modules" -e "ssh -i ./id_ed25519 -o StrictHostKeyChecking=no" ./ albert@217.160.204.114:/var/www/vhosts/electricistasdana.com/httpdocs
